# Uses of Interface
org.eclipse.jdt.core.IMemberValuePair

Packages that use IMemberValuePair
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of IMemberValuePair in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IMemberValuePair
Modifier and Type
Method
Description
`IMemberValuePair`
IMethod.`getDefaultValue()`
Returns a `member value pair` representing the default value of this method if any, or `null` if this method's parent is not an annotation type, or else if this method does not have a default value.
`IMemberValuePair[]`
IAnnotation.`getMemberValuePairs()`
Returns the member-value pairs of this annotation.